eWallet System Requirements

Last Updated:

Currently manufactured platforms

The following table lists the system requirements for each platform eWallet® is available for:

Platform: eWallet for Supported OS
Android Android1 OS 8.0 or later (also later model Kindle Fires)
iPhone, iPad iOS / iPadOS 11 or later
macOS macOS 10.13 (High Sierra) or later
Windows (desktop) Windows 11, Windows 10, Windows 8.1, Windows 7
Windows Store (PC and Tablet) Windows 11, Windows 10, Windows 8.1, Windows RT 8.1

Archived platforms

These devices are no longer manufactured but the information is here in case you need it:

Platform Supported OS
BlackBerry BlackBerry OS 4.7 to 7.1
BlackBerry 10 BlackBerry OS 10.3.1 (runs Android version)
Palm OS Palm OS 4.0 or higher
Windows Mobile Windows Mobile 6.5

  1. Supports both 64-bit (including devices with 64-bit-only hardware) and 32-bit architectures with Android OS. ↩︎

Platforms
  • Android
  • ,
  • iPad
  • ,
  • iPhone
  • ,
  • macOS
  • ,
  • Windows (desktop)
  • ,
  • Windows (store app)